
/* correzione spostamento modal */

body.modal-open,
body.modal-open .navbar.navbar-expand-lg.fixed-top.py-3 {
    overflow: auto !important;
}
body.modal-open[style] {
    padding-right: 0px !important;
}
body.modal-open .navbar.navbar-expand-lg.fixed-top.py-3[style] {
    padding-right: 1rem !important;
}

/* impostazioni generiche */

body, h1, h2, h3, h4, h5, h6 {
    font-family: 'Manrope', sans-serif;
}

#bonifico-alert {
    display: none;
}

:root{
    --colore1:#233962 !important;
    --colore2:#9b3421 !important;
}

.colore1 {
    color: var(--colore1) !important;
}

.colore2 {
    color: var(--colore2) !important;
}

.login-link {
    color: #e5843e !important;
}

.close {
    position: absolute;
    top:5px;
    right:5px;
}

.hidden {
    display: none;
}

.login-modal-body {
    padding-top: 1.5rem !important;
    padding-right: 1.5rem !important;
}

.password-form {
    font-size: 0.7rem;
    line-height: 1.0rem;
}

.titolo-registrazione {
    padding-top: 1rem;
    padding-bottom: 1rem;
    border-top: 1px solid #dee2e6;
    color:var(--colore1);
}

.bg-dark {
    background-color: #454b5a !important;
}

.navbar-expand .navbar-nav .nav-link {
    padding-right: 0;
}

.userpicture {
    margin-right: .5rem;
    width: 35px;
    height: 35px;
    border-radius: 50%;
    margin-left: 0.5rem;
}

.navbar-brand img.logo-mcr {
    line-height: 1;
    font-weight: 600;
    letter-spacing: 2px;
    height: 50px;
    margin-right: 1rem;
}

.footer {
    background-color: #454b5a !important;
    color: #ffffff;
    text-align: center;
    padding: 0.5rem 1rem;
}

.navbar-dark .navbar-nav .nav-link, .footer a {
    color: #ef7b10;
}

.navbar-dark .navbar-nav .nav-link:hover, .footer a:hover {
    color: #ef7b10;
    text-decoration: underline;
}

.navbar-nav .nav-link.active:hover {
    color: #fff;
    text-decoration: none;
}

.container {
    margin-top: 70px;
}

.navbar {
    padding: 0px 1rem !important;
}

.img-fluid-banner {
    width: 100% !important;
    height: auto;
    margin-top: 2rem;
    margin-bottom: 2rem;
}

.badge-primary {
    background-color: var(--colore2) !important;
    font-size: 0.75rem;
}

.btn-outline-primary {
    color: var(--colore2) !important;
    border-color: var(--colore2) !important;
}

.btn-outline-primary:hover {
    color: #fff !important;
    background-color: var(--colore1) !important;
    border-color: var(--colore1) !important;
}

.btn-primary {
    background-color: var(--colore2) !important;
    border-color: var(--colore2) !important;
}

.btn-primary:hover {
    background-color: var(--colore1) !important;
    border-color: var(--colore1) !important;
}

.banner-cookie {
    background-color: #454b5a;
    color: #ffffff;
    position: fixed;
    z-index: 1000;
    height: auto !important;
    bottom: 0;
    left: 0;
    width: 100% !important;
    padding: 1rem;
    text-align: center;
}

.link_banner {
    color: #ef8238;
}

.link_banner:hover {
    color: #ef8238;
    text-decoration: underline;
}

.btn-banner:hover {
    background-color: #ef8238 !important;
    color: #454b5a !important;
}


@media (max-width: 575.98px) {

    .banner-cookie {
        padding: 0.5rem 0.75rem;
    }

    .banner-cookie, .btn-banner {
        font-size: 0.75rem;
    }

    .hidden-xs {
        display: none;
    }

    .padding-partecipanti {
        padding-bottom: 5rem;
    }

    .padding-partecipante {
        margin-bottom: 1rem;
    }

    .col-privacy {
        padding-top: 1rem;
    }
}

@media (min-width: 576px) and (max-width: 767.98px) {

    .banner-cookie {
        padding: 0.5rem 0.75rem;
    }

    .banner-cookie, .btn-banner {
        font-size: 0.75rem;
    }

    .hidden-sm {
        display: none;
    }

    small {
        line-height: 1.2 !important;
        display: block;
    }

    .padding-partecipanti {
        padding-bottom: 3rem;
    }

    .col-privacy {
        padding-top: 1rem;
    }
}

@media (min-width: 768px) and (max-width: 991.98px) {

    .banner-cookie, .btn-banner {
        font-size: 0.8rem;
    }

    .container {
        padding-bottom: 3rem;
    }

    .padding-partecipanti {
        padding-bottom: 2rem;
    }
}

@media (min-width: 992px) and (max-width: 1199.98px) {

    .banner-cookie, .btn-banner {
        font-size: 0.8rem;
    }

    .container {
        padding-bottom: 2rem;
    }

    .padding-partecipanti {
        padding-bottom: 2.5rem;
    }
}

@media (min-width: 1200px) {

    .banner-cookie, .btn-banner {
        font-size: 0.8rem;
    }

    .container {
        padding-bottom: 2rem;
    }

    .padding-partecipanti {
        padding-bottom: 2rem;
    }
}
